﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$folder   = "$toolsDir/download"

# download and extract zip setup file
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=newfield'
    unzipLocation  = $folder
    checksum       = '18f2eadce890a4a752c8db89a8f5cf5e0a9fd24fd9b517cb0bbdbb1d81048a8f'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

# install setup
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'
    silentArgs     = '/SILENT'
    file           = "$folder/NewfieldSetup.exe"
    validExitCodes = @(0)
}
Install-ChocolateyInstallPackage @packageArgs

# delete downloaded files
Remove-Item "$folder/*.*"
Remove-Item "$folder"
